# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PouleJournee(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'number': 'int',
        '_date': 'datetime',
        'pj_ar': 'str',
        'pj_no_tour': 'int',
        'pj_lib_tour': 'str',
        'pj_dat_class_auto': 'datetime',
        'pj_dat_class_offi': 'datetime',
        'poule': 'str',
        'phase': 'str',
        'competition': 'str',
        'matchs': 'list[str]',
        'external_updated_at': 'datetime',
        'id': 'int',
        'external_message_id': 'str',
        'name': 'str',
        'at_least_one_match_resultat': 'bool'
    }

    attribute_map = {
        'number': 'number',
        '_date': 'date',
        'pj_ar': 'pj_ar',
        'pj_no_tour': 'pj_no_tour',
        'pj_lib_tour': 'pj_lib_tour',
        'pj_dat_class_auto': 'pj_dat_class_auto',
        'pj_dat_class_offi': 'pj_dat_class_offi',
        'poule': 'poule',
        'phase': 'phase',
        'competition': 'competition',
        'matchs': 'matchs',
        'external_updated_at': 'external_updated_at',
        'id': 'id',
        'external_message_id': 'external_message_id',
        'name': 'name',
        'at_least_one_match_resultat': 'at_least_one_match_resultat'
    }

    def __init__(self, number=None, _date=None, pj_ar=None, pj_no_tour=None, pj_lib_tour=None, pj_dat_class_auto=None, pj_dat_class_offi=None, poule=None, phase=None, competition=None, matchs=None, external_updated_at=None, id=None, external_message_id=None, name=None, at_least_one_match_resultat=None):  # noqa: E501
        """PouleJournee - a model defined in Swagger"""  # noqa: E501
        self._number = None
        self.__date = None
        self._pj_ar = None
        self._pj_no_tour = None
        self._pj_lib_tour = None
        self._pj_dat_class_auto = None
        self._pj_dat_class_offi = None
        self._poule = None
        self._phase = None
        self._competition = None
        self._matchs = None
        self._external_updated_at = None
        self._id = None
        self._external_message_id = None
        self._name = None
        self._at_least_one_match_resultat = None
        self.discriminator = None
        if number is not None:
            self.number = number
        if _date is not None:
            self._date = _date
        if pj_ar is not None:
            self.pj_ar = pj_ar
        if pj_no_tour is not None:
            self.pj_no_tour = pj_no_tour
        if pj_lib_tour is not None:
            self.pj_lib_tour = pj_lib_tour
        if pj_dat_class_auto is not None:
            self.pj_dat_class_auto = pj_dat_class_auto
        if pj_dat_class_offi is not None:
            self.pj_dat_class_offi = pj_dat_class_offi
        if poule is not None:
            self.poule = poule
        if phase is not None:
            self.phase = phase
        if competition is not None:
            self.competition = competition
        if matchs is not None:
            self.matchs = matchs
        if external_updated_at is not None:
            self.external_updated_at = external_updated_at
        if id is not None:
            self.id = id
        if external_message_id is not None:
            self.external_message_id = external_message_id
        if name is not None:
            self.name = name
        if at_least_one_match_resultat is not None:
            self.at_least_one_match_resultat = at_least_one_match_resultat

    @property
    def number(self):
        """Gets the number of this PouleJournee.  # noqa: E501


        :return: The number of this PouleJournee.  # noqa: E501
        :rtype: int
        """
        return self._number

    @number.setter
    def number(self, number):
        """Sets the number of this PouleJournee.


        :param number: The number of this PouleJournee.  # noqa: E501
        :type: int
        """

        self._number = number

    @property
    def _date(self):
        """Gets the _date of this PouleJournee.  # noqa: E501


        :return: The _date of this PouleJournee.  # noqa: E501
        :rtype: datetime
        """
        return self.__date

    @_date.setter
    def _date(self, _date):
        """Sets the _date of this PouleJournee.


        :param _date: The _date of this PouleJournee.  # noqa: E501
        :type: datetime
        """

        self.__date = _date

    @property
    def pj_ar(self):
        """Gets the pj_ar of this PouleJournee.  # noqa: E501


        :return: The pj_ar of this PouleJournee.  # noqa: E501
        :rtype: str
        """
        return self._pj_ar

    @pj_ar.setter
    def pj_ar(self, pj_ar):
        """Sets the pj_ar of this PouleJournee.


        :param pj_ar: The pj_ar of this PouleJournee.  # noqa: E501
        :type: str
        """

        self._pj_ar = pj_ar

    @property
    def pj_no_tour(self):
        """Gets the pj_no_tour of this PouleJournee.  # noqa: E501


        :return: The pj_no_tour of this PouleJournee.  # noqa: E501
        :rtype: int
        """
        return self._pj_no_tour

    @pj_no_tour.setter
    def pj_no_tour(self, pj_no_tour):
        """Sets the pj_no_tour of this PouleJournee.


        :param pj_no_tour: The pj_no_tour of this PouleJournee.  # noqa: E501
        :type: int
        """

        self._pj_no_tour = pj_no_tour

    @property
    def pj_lib_tour(self):
        """Gets the pj_lib_tour of this PouleJournee.  # noqa: E501


        :return: The pj_lib_tour of this PouleJournee.  # noqa: E501
        :rtype: str
        """
        return self._pj_lib_tour

    @pj_lib_tour.setter
    def pj_lib_tour(self, pj_lib_tour):
        """Sets the pj_lib_tour of this PouleJournee.


        :param pj_lib_tour: The pj_lib_tour of this PouleJournee.  # noqa: E501
        :type: str
        """

        self._pj_lib_tour = pj_lib_tour

    @property
    def pj_dat_class_auto(self):
        """Gets the pj_dat_class_auto of this PouleJournee.  # noqa: E501


        :return: The pj_dat_class_auto of this PouleJournee.  # noqa: E501
        :rtype: datetime
        """
        return self._pj_dat_class_auto

    @pj_dat_class_auto.setter
    def pj_dat_class_auto(self, pj_dat_class_auto):
        """Sets the pj_dat_class_auto of this PouleJournee.


        :param pj_dat_class_auto: The pj_dat_class_auto of this PouleJournee.  # noqa: E501
        :type: datetime
        """

        self._pj_dat_class_auto = pj_dat_class_auto

    @property
    def pj_dat_class_offi(self):
        """Gets the pj_dat_class_offi of this PouleJournee.  # noqa: E501


        :return: The pj_dat_class_offi of this PouleJournee.  # noqa: E501
        :rtype: datetime
        """
        return self._pj_dat_class_offi

    @pj_dat_class_offi.setter
    def pj_dat_class_offi(self, pj_dat_class_offi):
        """Sets the pj_dat_class_offi of this PouleJournee.


        :param pj_dat_class_offi: The pj_dat_class_offi of this PouleJournee.  # noqa: E501
        :type: datetime
        """

        self._pj_dat_class_offi = pj_dat_class_offi

    @property
    def poule(self):
        """Gets the poule of this PouleJournee.  # noqa: E501


        :return: The poule of this PouleJournee.  # noqa: E501
        :rtype: str
        """
        return self._poule

    @poule.setter
    def poule(self, poule):
        """Sets the poule of this PouleJournee.


        :param poule: The poule of this PouleJournee.  # noqa: E501
        :type: str
        """

        self._poule = poule

    @property
    def phase(self):
        """Gets the phase of this PouleJournee.  # noqa: E501


        :return: The phase of this PouleJournee.  # noqa: E501
        :rtype: str
        """
        return self._phase

    @phase.setter
    def phase(self, phase):
        """Sets the phase of this PouleJournee.


        :param phase: The phase of this PouleJournee.  # noqa: E501
        :type: str
        """

        self._phase = phase

    @property
    def competition(self):
        """Gets the competition of this PouleJournee.  # noqa: E501


        :return: The competition of this PouleJournee.  # noqa: E501
        :rtype: str
        """
        return self._competition

    @competition.setter
    def competition(self, competition):
        """Sets the competition of this PouleJournee.


        :param competition: The competition of this PouleJournee.  # noqa: E501
        :type: str
        """

        self._competition = competition

    @property
    def matchs(self):
        """Gets the matchs of this PouleJournee.  # noqa: E501


        :return: The matchs of this PouleJournee.  # noqa: E501
        :rtype: list[str]
        """
        return self._matchs

    @matchs.setter
    def matchs(self, matchs):
        """Sets the matchs of this PouleJournee.


        :param matchs: The matchs of this PouleJournee.  # noqa: E501
        :type: list[str]
        """

        self._matchs = matchs

    @property
    def external_updated_at(self):
        """Gets the external_updated_at of this PouleJournee.  # noqa: E501


        :return: The external_updated_at of this PouleJournee.  # noqa: E501
        :rtype: datetime
        """
        return self._external_updated_at

    @external_updated_at.setter
    def external_updated_at(self, external_updated_at):
        """Sets the external_updated_at of this PouleJournee.


        :param external_updated_at: The external_updated_at of this PouleJournee.  # noqa: E501
        :type: datetime
        """

        self._external_updated_at = external_updated_at

    @property
    def id(self):
        """Gets the id of this PouleJournee.  # noqa: E501


        :return: The id of this PouleJournee.  # noqa: E501
        :rtype: int
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this PouleJournee.


        :param id: The id of this PouleJournee.  # noqa: E501
        :type: int
        """

        self._id = id

    @property
    def external_message_id(self):
        """Gets the external_message_id of this PouleJournee.  # noqa: E501


        :return: The external_message_id of this PouleJournee.  # noqa: E501
        :rtype: str
        """
        return self._external_message_id

    @external_message_id.setter
    def external_message_id(self, external_message_id):
        """Sets the external_message_id of this PouleJournee.


        :param external_message_id: The external_message_id of this PouleJournee.  # noqa: E501
        :type: str
        """

        self._external_message_id = external_message_id

    @property
    def name(self):
        """Gets the name of this PouleJournee.  # noqa: E501


        :return: The name of this PouleJournee.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this PouleJournee.


        :param name: The name of this PouleJournee.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def at_least_one_match_resultat(self):
        """Gets the at_least_one_match_resultat of this PouleJournee.  # noqa: E501


        :return: The at_least_one_match_resultat of this PouleJournee.  # noqa: E501
        :rtype: bool
        """
        return self._at_least_one_match_resultat

    @at_least_one_match_resultat.setter
    def at_least_one_match_resultat(self, at_least_one_match_resultat):
        """Sets the at_least_one_match_resultat of this PouleJournee.


        :param at_least_one_match_resultat: The at_least_one_match_resultat of this PouleJournee.  # noqa: E501
        :type: bool
        """

        self._at_least_one_match_resultat = at_least_one_match_resultat

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PouleJournee, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PouleJournee):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
